Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
usermgmt::RoleManager Interface Reference

Role manager interface. More...

`import "RoleManager.idl";`

## Classes
struct | ArgumentDesc
| Privilege Argument Description. More...
struct | Info
| Full role manager information. More...
struct | PrivilegeDesc
| Privilege Description. More...
struct | RestrictionDesc
| Restriction Description. More...
struct | RoleAccount
| Role information. More...

## Public Member Functions
int | createRoleFull (in string name, in Role::Info info)
| Create new role with full information.
int | deleteRole (in string name)
| Delete a role.
vector< string > | getAllRoleNames ()
| Retrieve a list of role names.
vector< RoleAccount > | getAllRoles ()
| Retrieve a list of active roles.
vector< PrivilegeDesc > | getAllPrivileges ()
| Retrieve a list of supported privileges.
vector< RestrictionDesc > | getAllRestrictions ()
| Retrieve a list of supported restrictions.
Info | getInfo ()
| Retrieve full role manager information.

## Public Attributes
constant int | ERR_ROLE_ALREADY_EXISTS = 1
| A role with that name already exists.
constant int | ERR_MAX_ROLES_REACHED = 2
| Maximum number of roles reached.
constant int | ERR_INVALID_VALUE = 3
| Invalid arguments.
constant int | ERR_ROLE_DOESNT_EXIST = 1
| The role does not exist.
constant int | ERR_ROLE_NOT_DELETABLE = 2
| The role cannot be deleted.

## Detailed Description

Role manager interface.

Definition at line 32 of file RoleManager.idl.

## Member Function Documentation

## ◆ createRoleFull()

int usermgmt::RoleManager::createRoleFull | ( | in string | name,
|  | in Role::Info | info )

Create new role with full information.

Parameters

  name | New role name
  info | New role information

Returns
  0 if OK
  1 if a role with that name already exists
  2 if the maximum number of roles is reached
  3 if the role information is invalid

## ◆ deleteRole()

int usermgmt::RoleManager::deleteRole | ( | in string | name | ) |

Delete a role.

Parameters

  name | Name of the role to delete

Returns
  0 if OK
  1 if a role with the given name does not exist
  2 if the role cannot be deleted

## ◆ getAllPrivileges()

vector< PrivilegeDesc > usermgmt::RoleManager::getAllPrivileges | ( |  | ) |

Retrieve a list of supported privileges.

Returns
  List of privilege names

## ◆ getAllRestrictions()

vector< RestrictionDesc > usermgmt::RoleManager::getAllRestrictions | ( |  | ) |

Retrieve a list of supported restrictions.

Returns
  List of restriction names

## ◆ getAllRoleNames()

vector< string > usermgmt::RoleManager::getAllRoleNames | ( |  | ) |

Retrieve a list of role names.

Returns
  List of role names

## ◆ getAllRoles()

vector< RoleAccount > usermgmt::RoleManager::getAllRoles | ( |  | ) |

Retrieve a list of active roles.

Returns
  List of active roles

## ◆ getInfo()

Info usermgmt::RoleManager::getInfo | ( |  | ) |

Retrieve full role manager information.

Returns
  Role manager information

## Member Data Documentation

## ◆ ERR_INVALID_VALUE

constant int usermgmt::RoleManager::ERR_INVALID_VALUE = 3

Invalid arguments.

Definition at line 36 of file RoleManager.idl.

## ◆ ERR_MAX_ROLES_REACHED

constant int usermgmt::RoleManager::ERR_MAX_ROLES_REACHED = 2

Maximum number of roles reached.

Definition at line 35 of file RoleManager.idl.

## ◆ ERR_ROLE_ALREADY_EXISTS

constant int usermgmt::RoleManager::ERR_ROLE_ALREADY_EXISTS = 1

A role with that name already exists.

Definition at line 34 of file RoleManager.idl.

## ◆ ERR_ROLE_DOESNT_EXIST

constant int usermgmt::RoleManager::ERR_ROLE_DOESNT_EXIST = 1

The role does not exist.

Definition at line 38 of file RoleManager.idl.

## ◆ ERR_ROLE_NOT_DELETABLE

constant int usermgmt::RoleManager::ERR_ROLE_NOT_DELETABLE = 2

The role cannot be deleted.

Definition at line 39 of file RoleManager.idl.

The documentation for this interface was generated from the following file:

- RoleManager.idl